#ifndef GRAFIO_H
#define GRAFIO_H

#include "ofxXmlSettings.h"
#include "grafTag.h"
#include "pocoDirectoryLister.h"
#include "dataIO.h"

class grafIO
{
    public:
        grafIO();
        virtual ~grafIO();

        void saveGrafTag( string directory, grafTag * src );
        void loadGrafTag( string directory, grafTag * dst );
        void loadTextTag( string directory, grafTag * dst );
        void saveScreenShot( string directory, grafTag * dst );


        ofxPocoDirectoryLister PL;

    protected:
    private:
};

#endif // GRAFIO_H
